Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226000 - Merge Review: libdv
Summary: Merge Review: libdv
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:20 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-12 13:48:17 UTC
matthias: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:20:51 UTC
Fedora Merge Review: libdv

http://cvs.fedora.redhat.com/viewcvs/devel/libdv/
Initial Owner: jwilson@redhat.com

Comment 1 Matthias Saou 2007-08-31 16:45:51 UTC
Please find an updated spec file and a patch to the current spec file containing
some suggested changes and fixes :
http://thias.fedorapeople.org/merge-review/libdv/

- Update License field.
- Remove useless zero epoch.
- Add pkgconfig devel sub-package requirement.

The package was already quite clean overall :-)

Comment 2 Matthias Saou 2007-09-12 11:24:21 UTC
Ping? It would be nice to get this package cleaned up for Fedora 8.

Comment 3 Jarod Wilson 2007-09-12 13:48:17 UTC
libdv-1.0.0-2.fc8 built with all suggested updates and a few other minor spec
tweaks of my own.

Comment 4 Matthias Saou 2007-09-12 14:05:45 UTC
Yeah, kill the tabs! :-)

One more minor change I forgot : The man pages in %files aren't listed
consistently, or even right. They should all be foo.1* with no foo.1.gz since
the compression used is an rpm build time option.

I also just double checked a rebuild, and it seems that this package got
affected by the recent rpm/popt split :
checking for poptGetContext in -lpopt... no
configure: WARNING: playdv needs the popt package for command line parsing.
                    The source archive for popt is available at:
                        ftp://ftp.redhat.com/pub/redhat/code/popt
So you need to add "BuildRequires: popt-devel".

Apart from this, the package looks good.

Comment 5 Jarod Wilson 2007-09-12 14:23:03 UTC
Okay, files list fixed up, as well as BR: on popt-devel, conditional on fedora
>= 8 added. Good catch on the popt-devel, I've mostly had my head in the sand
wrt fedora the past month or so focused on rhel5.1 work, had no clue there'd
been a change there.

Comment 6 Matthias Saou 2007-09-12 15:12:10 UTC
(OT: Good to know, I'm impatient for RHEL5.1 to come out :-))

Thanks for fixing so quickly, review finished!


Note You need to log in before you can comment on or make changes to this bug.